system-config-printer.py crashed with TypeError in get_hpfax_device_id(): unorderable types: str() >= int()

Bug #1369789 reported by Eddy Beaupré
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
system-config-printer (Ubuntu)
High
Till Kamppeter
Utopic
High
Unassigned

Bug Description

Description: Ubuntu Utopic Unicorn (development branch)
Release: 14.10

hplip:
  Installé : 3.14.6-1ubuntu1
  Candidat : 3.14.6-1ubuntu1
 Table de version :
 *** 3.14.6-1ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ utopic/main amd64 Packages
        100 /var/lib/dpkg/status

I was installing my printer when this error popped up.

[Impact]

It is not possible to set up an HP multi-function printer with fax facility. system-config-printer crashes if one selects such a printer from the list of detected printers. One even cannot set up only a normal print queue for such a printer in case one does not need fax.

[Test Case]

Connect an HP multi-function devioce with fax to the computer or to the local network. Open system-config-printer, click the "Add printer" button, wait for your printer appearing in the list and select it. system-config-printer will crash then.

In the proposed package this is fixed. You can set up both print and fax queues without problem.

[Regression Potential]

Very low, the patch is trivial.

ProblemType: Crash
DistroRelease: Ubuntu 14.10
Package: system-config-printer-gnome 1.5.1+20140911-0ubuntu1
ProcVersionSignature: Ubuntu 3.16.0-14.20-generic 3.16.2
Uname: Linux 3.16.0-14-generic x86_64
ApportVersion: 2.14.7-0ubuntu2
Architecture: amd64
CupsErrorLog:
 E [16/Sep/2014:01:51:58 +0200] [Client 19] Returning IPP client-error-bad-request for Print-Job (ipp://localhost/printers/Hewlett-Packard-HP-LaserJet-200-colorMFP-M276nw) from localhost
 W [16/Sep/2014:01:52:02 +0200] CreateProfile failed: org.freedesktop.ColorManager.AlreadyExists:profile id 'Hewlett-Packard-HP-LaserJet-200-colorMFP-M276nw-Gray..' already exists
 W [16/Sep/2014:01:52:02 +0200] CreateProfile failed: org.freedesktop.ColorManager.AlreadyExists:profile id 'Hewlett-Packard-HP-LaserJet-200-colorMFP-M276nw-RGB..' already exists
 W [16/Sep/2014:01:55:53 +0200] CreateProfile failed: org.freedesktop.ColorManager.AlreadyExists:profile id 'HP_LaserJet_200_colorMFP_M276nw-Gray..' already exists
 W [16/Sep/2014:01:55:53 +0200] CreateProfile failed: org.freedesktop.ColorManager.AlreadyExists:profile id 'HP_LaserJet_200_colorMFP_M276nw-RGB..' already exists
CurrentDesktop: Unity
Date: Tue Sep 16 01:50:40 2014
ExecutablePath: /usr/share/system-config-printer/system-config-printer.py
InstallationDate: Installed on 2014-09-15 (0 days ago)
InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Alpha amd64 (20140915)
InterpreterPath: /usr/bin/python3.4
Lpstat:
 device for HP_LaserJet_200_colorMFP_M276nw: hp:/net/HP_LaserJet_200_colorMFP_M276nw?ip=192.168.0.20
 device for HP_LaserJet_200_colorMFP_M276nw_fax: hpfax:/net/HP_LaserJet_200_colorMFP_M276nw?ip=192.168.0.20
MachineType: Dell Inc. XPS L701X
PackageArchitecture: all
Papersize: a4
PpdFiles:
 HP_LaserJet_200_colorMFP_M276nw: HP LaserJet 200 color MFP M276 Postscript (recommended)
 HP_LaserJet_200_colorMFP_M276nw_fax: HP Fax2 hpcups
ProcCmdline: /usr/bin/python3 /usr/share/system-config-printer/system-config-printer.py
ProcEnviron:
 LANGUAGE=fr_FR
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-14-generic root=UUID=aec7736c-09b9-4487-8618-84b0b0716af0 ro quiet splash
PythonArgs: ['/usr/share/system-config-printer/system-config-printer.py']
SourcePackage: system-config-printer
Title: system-config-printer.py crashed with TypeError in get_hpfax_device_id(): unorderable types: str() >= int()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm bumblebee cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 07/26/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A10
dmi.board.name: 0V2WG4
dmi.board.vendor: Dell Inc.
dmi.board.version: A10
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A10
dmi.modalias: dmi:bvnDellInc.:bvrA10:bd07/26/2011:svnDellInc.:pnXPSL701X:pvrA10:rvnDellInc.:rn0V2WG4:rvrA10:cvnDellInc.:ct8:cvrA10:
dmi.product.name: XPS L701X
dmi.product.version: A10
dmi.sys.vendor: Dell Inc.

Revision history for this message
Eddy Beaupré (eddy-beaupre) wrote :
tags: removed: need-duplicate-check
Changed in system-config-printer (Ubuntu):
importance: Undecided → Medium
Revision history for this message
Sebastien Bacher (seb128) wrote :

That got quite some reports on e.u.c, Till could you have a look to it?
https://errors.ubuntu.com/problem/deca0b9ffca663a45fa8c300476867997428be8e

information type: Private → Public
Changed in system-config-printer (Ubuntu):
assignee: nobody → Till Kamppeter (till-kamppeter)
importance: Medium → High
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-printer - 1.5.3+20141027-0ubuntu1

---------------
system-config-printer (1.5.3+20141027-0ubuntu1) vivid; urgency=medium

  * New upstream release
     o GIT 1.5.x snapshot from 27 October 2014
     o Document retrieval is fixed
     o Openprinting requests are performed from the main loop, no inner loop
       required
     o Nested classes are not allowed
     o gpk-install-package-name is no longer used, direct D-Bus PackageKit
       access instead.
     o With PackageKit-based utility installation working again, fixed some
       additional, overlooked bugs to get it actually working
     o The manufacturer name for Kyocera has been fixed
     o Fixed infinite loop generating millions of links in /tmp when PPD file
       requested from a print queue is not readable (LP: #1156398,
       Closes: #764253).
     o Translation update and clean-up
     o Various other bug-fixes
     o Some Python 3 fixes
  * debian/patches/25_install-smbclient-if-smb-backend-is-missing.patch: When
    the "smb" CUPS backend is missing, do not try to install "samba-client"
    but "smbclient". The PackageKit which comes with Ubuntu is not able to
    install packages via "Provides:" entries.
  * debian/patches/30_scp-dbus-service-driver-download-hang-fixes.patch:
    Removed, fixed upstream in another form.
  * debian/patches/33_ipp-over-usb-support.patch: Updated patch to apply
    to new upstream code.
  * debian/patches/35_more-debugging-output.patch,
    debian/patches/37_debugging-tidy-ups.patch
    debian/patches/40_monitor-only-run-one-timer-at-a-time.patch,
    debian/patches/43_dont-ask-packagekit-to-look-for-drivers-for-empty-device-ids.patch,
    debian/patches/45_use-items-instead-of-iteritems-in-groupphysicaldevicesrequests-group.patch,
    debian/patches/47_fix-for-automatically-adding-bluetooth-printers.patch,
    debian/patches/50_dont-run-gpk-install-package-name-directly-use-installpackage-module.patch,
    debian/patches/53_make-installpackage-a-stub-only.patch: Removed the
    patches backported from upstream.
  * debian/patches/35_fix-hp-fax-type-parsing.patch: Fix parsing of the HPLIP
    fax type (LP: #1369789).
  * debian/system-config-printer-gnome.install: Added new module
    "OpenPrintingRequest".
 -- Till Kamppeter <email address hidden> Mon, 27 Oct 2014 20:13:28 +0100

Changed in system-config-printer (Ubuntu):
status: New → Fix Released
Changed in system-config-printer (Ubuntu Utopic):
status: New → Triaged
importance: Undecided → High
description: updated
Revision history for this message
Till Kamppeter (till-kamppeter) wrote :

Uploaded a package fixing bug 1366756, bug 1156398, bug 1380514, and bug 1369789 to utopic-proposed. As soon as the package is approved it will be available for download and testing and instructions will get posted here. Please test the package and give your feedback here, otherwise it will not get available as official update.

To the SRU team: debdiff attached.

Changed in system-config-printer (Ubuntu Utopic):
status: Triaged → In Progress
Revision history for this message
Chris J Arges (arges) wrote : Please test proposed package

Hello Eddy, or anyone else affected,

Accepted system-config-printer into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/system-config-printer/1.5.1+20141010-0ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in system-config-printer (Ubuntu Utopic):
status: In Progress → Fix Committed
tags: added: verification-needed
Revision history for this message
Eddy Beaupré (eddy-beaupre) wrote :

I've test the proposed package and it work perfectly for me.

Thanks!

tags: added: verification-done
removed: verification-needed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-printer - 1.5.1+20141010-0ubuntu2.1

---------------
system-config-printer (1.5.1+20141010-0ubuntu2.1) utopic-proposed; urgency=medium

  * debian/patches/60_newprinter-fix-package-installation.patch: Fixed several
    bugs in system-config-printers's facility to install missing packages of
    the printing stack (currently smbclient and libsane-hpaio. LP: #1366756).
  * debian/patches/63_ppdcache-return-exception-rather-than-looping.patch:
    Fixed infinite loop generating millions of links in /tmp when PPD file
    requested from a print queue is not readable (LP: #1156398).
  * debian/patches/65_fix-hp-fax-type-parsing.patch: Fix parsing of the HPLIP
    fax type (LP: #1369789).
  * debian/patches/67_jobviewer-always-fetch-auth-info-required-attribute.patch:
    jobviewer: Always fetch auth-info-required attribute (LP: #1380514).
 -- Till Kamppeter <email address hidden> Thu, 30 Oct 2014 18:21:36 +0100

Changed in system-config-printer (Ubuntu Utopic):
status: Fix Committed → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote : Update Released

The verification of the Stable Release Update for system-config-printer has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers